Request

Response

    Batch Create Basic Geometries
    POST

    v1alpha/geometries/batch-create

    This endpoint is used to create multiple basic geometries in a single request and returns an array of URNs (Uniform Resource Names) for each element that is created

    Resource Information

    Method and URI
    POST
    https://developer.api.autodesk.com/forma/basic/v1alpha/geometries/batch-create
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    X-Ads-Region
    string
    Specifies the geographical location (region) of the service. US or EMEA. Defaults to US.
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    Query String Parameters

    authcontext*
    string
    Authcontext for the request, such as the Forma project context.
    * Required

    Request

    Body Structure

    Expand all
    id*
    string
    geometry*
    anyOf*
    0*
    object
    type*
    enum:string
    Will always be: polygon
    coordinates*
    array: array
    color
    string
    opacity
    number
    lineWidth
    number
    1*
    object
    type*
    enum:string
    Will always be: extrudedPolygon
    coordinates*
    array: array
    height*
    number
    elevation*
    number
    2*
    object
    type*
    enum:string
    Will always be: line
    coordinates*
    array: array
    color
    string
    lineWidth
    number
    category*
    string
    name*
    string
    userData*
    object
    **
    * Required

    Response

    HTTP Status Code Summary

    201
    Created
    The response contains an array of URNs (Uniform Resource Names) for each element that is created
    403
    Forbidden
    Unauthorized

    Response

    Body Structure (201)

    urn
    string
    Max length: 200

    Example

    The response contains an array of URNs (Uniform Resource Names) for each element that is created

    Request

    curl -v 'https://developer.api.autodesk.com/forma/basic/v1alpha/geometries/batch-create?authcontext=pro_123' \
      -X 'POST' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
      -H 'Content-Type: application/json' \
      -d '[
            {
              "id": "",
              "geometry": {},
              "category": "",
              "name": "",
              "userData": {}
            }
          ]'
    
    Show More

    Response

    [
      {
        "urn": "urn:adsk-forma-elements:terrain:pro_test:24c99081-1cbd-449b-9d11-34a8a89c67c3:1707486855123"
      },
      {
        "urn": "urn:adsk-forma-elements:terrain:pro_test:24c99081-1cbd-449b-9d11-34a8a89c67c3:1707486855123"
      }
    ]
    
    Show More